<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="C:\Aurora_Oct20\RSM\eclipse\workspace-cascadeplus\org.eclipse.wst.rdb.models.dbdefinition\src\model\DatabaseDefinitionModel.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="KeyWords" content="TableDefinition,Class TableDefinition,DatabaseDefinitionModel,model DatabaseDefinitionModel,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;TableDefinition&nbsp;{Analysis}</b></font></p>

<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Parent&nbsp;Package</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="cat3fa0659f0220.htm" target="contents_frame">DatabaseModel</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Abstract</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>No</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Export&nbsp;Control</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>PublicAccess</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Link&nbsp;Class&nbsp;for</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>None</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Class&nbsp;Kind</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>NormalClass</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Cardinality</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>n</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Space</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Concurrency</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>Sequential</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Persistence</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>No</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR></TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Attributes</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Type</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Initial&nbsp;Value</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/31.jpg"BORDER=0><a href="att40031d39029e.htm" target="contents_frame">auditSupported</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class40031d100032.htm" target="contents_frame">TableDefinition</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>boolean</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/31.jpg"BORDER=0><a href="att40031d4f035e.htm" target="contents_frame">dataCaptureSupported</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class40031d100032.htm" target="contents_frame">TableDefinition</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>boolean</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/31.jpg"BORDER=0><a href="att40031d5e0337.htm" target="contents_frame">editProcSupported</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class40031d100032.htm" target="contents_frame">TableDefinition</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>boolean</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/31.jpg"BORDER=0><a href="att40031dc503d5.htm" target="contents_frame">encodingSupported</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class40031d100032.htm" target="contents_frame">TableDefinition</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>boolean</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/31.jpg"BORDER=0><a href="att40031dcd00a2.htm" target="contents_frame">validProcSupported</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class40031d100032.htm" target="contents_frame">TableDefinition</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>boolean</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
</TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Associations</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>My&nbsp;Role</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>My&nbsp;Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Other&nbsp;Role</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Other&nbsp;Element</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../looseends/ass40031dea003f.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role40031deb022b.htm" target="contents_frame">tableDefinition</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class40031d100032.htm" target="contents_frame">TableDefinition</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role40031deb023f.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3fcd44f30154.htm" target="contents_frame">DatabaseVendorDefinition</a></font></TD></TR>
</TABLE><BR><BR>
<BR><p><font FACE="Arial, Geneva" SIZE=3><b>Property Settings</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Data Modeler</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>dmItem</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>DMName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsTable</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsView</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsDomain</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsSPPackage</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Synonymns</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>TableSpaceID</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceId</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceType</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>CorrelationName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SelectClause</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsUpdateable</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>True</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>CheckOption</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>None</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsSnapShot</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsDistinct</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>PersistToServer</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsPackage</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
</TABLE><BR><BR>
</body>
</html>
